ul {
    padding: 0;
}

button.baptiste.slider-button {
    z-index: 5;
    background-color: transparent;
    border: none;
    padding-inline: 1rem;
}
button.baptiste.slider-button:hover {
    cursor: pointer;
}


.baptiste.slider-column {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    column-gap: 5rem;
}

.baptiste.slider-column img {
    height: 100%;
    /* prend toute la hauteur */
    width: 100%;
    object-fit: cover;
    /* remplit sans déformer */
}

.baptiste.slider {
    position: relative;
    max-height: 600px;
    overflow: hidden;
}

.baptiste.slider-track {
    overflow: hidden;
    display: flex;
}

.baptiste.slider-list {
    display: flex;
    transition: transform 0.3s ease;
    height: 100%;
}

.baptiste.slider-slide {
    flex: 0 0 100%;
    /* chaque slide = 100% de la largeur visible */
    display: grid;
    grid-template-columns: repeat(3, minmax(0, 1fr));
    /* clé : minmax(0,1fr) */
    gap: 2rem;
    text-align: center;
    padding: 30px;
    box-sizing: border-box;
    height: 100%;
}

.baptiste.slider-item.image {
    height: 100%;
    /* pas fixe — suit la hauteur du parent */
    overflow: hidden;
}

.baptiste.slider-item.image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.baptiste.slider-item.text {
    text-align: left;
    display: flex;
    flex-direction: column;
}

/* pour éviter que l’iframe dépasse */
.baptiste.slider-item.widget iframe {
    max-height: 100%;
    height: 100%;
    border: none;
    display: block;
    scrollbar-width: none;
    overflow: hidden;
}
.baptiste.slider-item.widget-link {
    display: none;
}

.baptiste.slider-points {
    display: flex;
    gap: 5px;
    align-items: center;
    justify-content: center;
}
.baptiste.slider-points svg.active circle {
    fill: black;
}

.baptiste.slider-item.text .title {
    color: #0085de;
    padding-block: .5rem 2rem;
}
.baptiste.slider-item.link-container {
    display: flex;
    flex-direction: column;
    margin-block: 2rem;
    gap: 1rem;
}
.baptiste.slider-item.link-container a {
    text-align: center;
}

@media (max-width: 1168px) {

    .baptiste.slider-column {
        grid-template-columns: repeat(2, 1fr);
    }
    .baptiste.slider {
        max-height: fit-content;
    }
    button.baptiste.slider-button {
        display: none;
    }
    .baptiste.slider-item.widget iframe {
        display: none;
    }
    .baptiste.slider-item.widget-link {
        display: block;
    }
    
}

@media (max-width: 800px) {

    .baptiste.slider-column {
        display: flex;
        flex-direction: column;
    }

    .baptiste.slider {
        max-height: fit-content;
    }

    .baptiste.slider-slide {
        padding: 0;
    }

    button.baptiste.slider-button {
        display: none;
    }

    .baptiste.slider-item.widget a {
        display: block;
    }

    .baptiste.slider-item.widget iframe {
        display: none;
    }
    .baptiste.slider-item.widget-link {
        display: block;
    }
    
}